lebiniou(1)

NAME
lebiniou - A tool to create images from sound

SYNOPSIS
lebiniou [OPTIONS]

DESCRIPTION
Le Biniou is a program which creates images from sound, in an intelligent way.

OPTIONS
-a | --audio file: Set audio input file (for the sndfile input plugin)

-b | --basedir path: Set base directory to look for plugins (default: /usr/lib/lebiniou/plugins)

-c | --config file: Select the configuration file to use (default: ~/.lebiniou/lebiniou.json)

-d | --datadir path: Set data directory (default: /usr/share/lebiniou)

-f | --fullscreen: Set fullscreen

-h | --help: Display this help and exit

-i | --input plugin: Set input plugin (inputs: sndio,alsa,jackaudio,oscaudio,pulseaudio,sndfile,twip,random,NULL)

-m | --max-fps fps: Set maximum framerate

-n | --no-borders: Disable window borders

-o | --output plugin: Set output plugin. (outputs: SDL2,RTMP,mp4,v4l2loopback,NULL)

-q | --quiet: Only display important messages to console

-r | --random mode: Set auto-random mode

-s | --soft-timers: Use soft timers instead of the system clock

-t | --themes themes: Comma-separated list of themes to use

-v | --version: Display the version and exit

-w | --http-port port: Set HTTP API port

-x | --width width: Set width

-y | --height height: Set height

-z | --schemes file: Set schemes file (default: /usr/share/lebiniou/etc/schemes.json)

-B | --no-browser: Don't open the web interface in a browser

-C | --cam-flip h|v: Flip webcam image horizontally/vertically

-D | --device device: Webcam base (default: /dev/video)

-E | --start-encoding: Start encoding directly

-F | --fade delay: Set fading delay (s)

-I | --instance name: Set the instance name

-N | --no-statistics: Do not send usage statistics

-P | --playlist file: Set playlist file

-S | --stats: Display statistics and exit

-W | --webcams webcams: Number of webcams (default: 1)

-X | --xpos x position: Set left position of the window

-Y | --ypos y position: Set top position of the window

CONTROLS
[Alt-Shift-r] - Random 3D rotations

[Alt-b] - Next 3D boundary

[Alt-r] - Toggle 3D rotations

[Alt-c] - Display current colormap

[Ctrl-f] - Toggle full-screen on/off

[Alt-m] - Show/hide mouse cursor

[Shift-q] - Quit

[Shift-x] - Save the current sequence then quit

[Shift-n] - Fill current frame with random pixels

[n] - Clear the current frame

[ESCAPE] - Turn off all auto changes

[RETURN] - Toggle selected plugin on/off

[Shift-LEFT] - Use previous sequence

[Shift-RIGHT] - Use next sequence

[Shift-PRINTSCREEN] - Take a screenshot

[Ctrl-BACKSPACE] - Make a sequence from system schemes

[BACKSPACE] - Select a random user sequence

[m] - Next random mode

[Shift-m] - Previous random mode

[Ctrl-t] - Auto colormaps on/off

[Ctrl-i] - Auto images on/off

[SPACE] - Bypass webcams on/off

[Ctrl-SPACE] - Set webcam reference image

[TAB] - Select next webcam

[Ctrl-l] - Lock selected plugin

[Ctrl-TAB] - Freeze input on/off

[Shift-v] - Scale volume up

[Alt-v] - Scale volume down

[Ctrl-Shift-LEFT] - Use first sequence

[Ctrl-Shift-RIGHT] - Use last sequence

[Shift-PAGEUP] - Increase 3D zoom

[Shift-PAGEDOWN] - Decrease 3D zoom

[UP] - Select previous plugin

[DOWN] - Select next plugin

[PAGEUP] - Scroll up in the plugins list

[PAGEDOWN] - Scroll down in the plugins list

[Shift-z] - Reset the current sequence

[Shift-l] - Toggle selected plugin as a lens on/off

[Shift-UP] - Select previous plugin in the sequence

[Shift-DOWN] - Select next plugin in the sequence

[Ctrl-UP] - Move selected plugin up in the sequence

[Ctrl-DOWN] - Move selected plugin down in the sequence

[Alt-y] - Select default layer mode for the current plugin

[Shift-y] - Select next layer mode

[Ctrl-s] - Save current sequence as new (full)

[Ctrl-u] - Update current full sequence

[Ctrl-Shift-s] - Save current sequence as new (bare)

[Ctrl-Shift-u] - Update current bare sequence

[Alt-UP] - Select previous plugin parameter

[Alt-DOWN] - Select next plugin parameter

[Alt-LEFT] - Decrease plugin parameter value

[Alt-RIGHT] - Increase plugin parameter value

[Alt-Shift-LEFT] - Decrease plugin parameter value quickly

[Alt-Shift-RIGHT] - Increase plugin parameter value quickly

[e] - Select previous colormap

[r] - Select next colormap

[t] - Select random colormap

[Shift-1] - Use colormap in shortcut 1

[Shift-2] - Use colormap in shortcut 2

[Shift-3] - Use colormap in shortcut 3

[Shift-4] - Use colormap in shortcut 4

[Shift-5] - Use colormap in shortcut 5

[Shift-6] - Use colormap in shortcut 6

[Shift-7] - Use colormap in shortcut 7

[Shift-8] - Use colormap in shortcut 8

[Shift-9] - Use colormap in shortcut 9

[Shift-0] - Use colormap in shortcut 10

[Ctrl-Shift-1] - Assign current colormap to shortcut 1

[Ctrl-Shift-2] - Assign current colormap to shortcut 2

[Ctrl-Shift-3] - Assign current colormap to shortcut 3

[Ctrl-Shift-4] - Assign current colormap to shortcut 4

[Ctrl-Shift-5] - Assign current colormap to shortcut 5

[Ctrl-Shift-6] - Assign current colormap to shortcut 6

[Ctrl-Shift-7] - Assign current colormap to shortcut 7

[Ctrl-Shift-8] - Assign current colormap to shortcut 8

[Ctrl-Shift-9] - Assign current colormap to shortcut 9

[Ctrl-Shift-0] - Assign current colormap to shortcut 10

[y] - Select previous image

[u] - Select next image

[i] - Select random image

[Alt-1] - Use image in shortcut 1

[Alt-2] - Use image in shortcut 2

[Alt-3] - Use image in shortcut 3

[Alt-4] - Use image in shortcut 4

[Alt-5] - Use image in shortcut 5

[Alt-6] - Use image in shortcut 6

[Alt-7] - Use image in shortcut 7

[Alt-8] - Use image in shortcut 8

[Alt-9] - Use image in shortcut 9

[Alt-0] - Use image in shortcut 10

[Ctrl-Alt-1] - Assign current image to shortcut 1

[Ctrl-Alt-2] - Assign current image to shortcut 2

[Ctrl-Alt-3] - Assign current image to shortcut 3

[Ctrl-Alt-4] - Assign current image to shortcut 4

[Ctrl-Alt-5] - Assign current image to shortcut 5

[Ctrl-Alt-6] - Assign current image to shortcut 6

[Ctrl-Alt-7] - Assign current image to shortcut 7

[Ctrl-Alt-8] - Assign current image to shortcut 8

[Ctrl-Alt-9] - Assign current image to shortcut 9

[Ctrl-Alt-0] - Assign current image to shortcut 10

[Ctrl-Shift-F1] - Clear bank 1

[Ctrl-Shift-F2] - Clear bank 2

[Ctrl-Shift-F3] - Clear bank 3

[Ctrl-Shift-F4] - Clear bank 4

[Ctrl-Shift-F5] - Clear bank 5

[Ctrl-Shift-F6] - Clear bank 6

[Ctrl-Shift-F7] - Clear bank 7

[Ctrl-Shift-F8] - Clear bank 8

[Ctrl-Shift-F9] - Clear bank 9

[Ctrl-Shift-F10] - Clear bank 10

[Ctrl-Shift-F11] - Clear bank 11

[Ctrl-Shift-F12] - Clear bank 12

[Ctrl-Shift-F13] - Clear bank 13

[Ctrl-Shift-F14] - Clear bank 14

[Ctrl-Shift-F15] - Clear bank 15

[Ctrl-Shift-F16] - Clear bank 16

[Ctrl-Shift-F17] - Clear bank 17

[Ctrl-Shift-F18] - Clear bank 18

[Ctrl-Shift-F19] - Clear bank 19

[Ctrl-Shift-F20] - Clear bank 20

[Ctrl-Shift-F21] - Clear bank 21

[Ctrl-Shift-F22] - Clear bank 22

[Ctrl-Shift-F23] - Clear bank 23

[Ctrl-Shift-F24] - Clear bank 24

[Shift-F1] - Assign current sequence to bank 1

[Shift-F2] - Assign current sequence to bank 2

[Shift-F3] - Assign current sequence to bank 3

[Shift-F4] - Assign current sequence to bank 4

[Shift-F5] - Assign current sequence to bank 5

[Shift-F6] - Assign current sequence to bank 6

[Shift-F7] - Assign current sequence to bank 7

[Shift-F8] - Assign current sequence to bank 8

[Shift-F9] - Assign current sequence to bank 9

[Shift-F10] - Assign current sequence to bank 10

[Shift-F11] - Assign current sequence to bank 11

[Shift-F12] - Assign current sequence to bank 12

[Alt-Shift-F1] - Use sequence in bank 1

[Alt-Shift-F2] - Use sequence in bank 2

[Alt-Shift-F3] - Use sequence in bank 3

[Alt-Shift-F4] - Use sequence in bank 4

[Alt-Shift-F5] - Use sequence in bank 5

[Alt-Shift-F6] - Use sequence in bank 6

[Alt-Shift-F7] - Use sequence in bank 7

[Alt-Shift-F8] - Use sequence in bank 8

[Alt-Shift-F9] - Use sequence in bank 9

[Alt-Shift-F10] - Use sequence in bank 10

[Alt-Shift-F11] - Use sequence in bank 11

[Alt-Shift-F12] - Use sequence in bank 12

[Alt-Shift-F13] - Use sequence in bank 13

[Alt-Shift-F14] - Use sequence in bank 14

[Alt-Shift-F15] - Use sequence in bank 15

[Alt-Shift-F16] - Use sequence in bank 16

[Alt-Shift-F17] - Use sequence in bank 17

[Alt-Shift-F18] - Use sequence in bank 18

[Alt-Shift-F19] - Use sequence in bank 19

[Alt-Shift-F20] - Use sequence in bank 20

[Alt-Shift-F21] - Use sequence in bank 21

[Alt-Shift-F22] - Use sequence in bank 22

[Alt-Shift-F23] - Use sequence in bank 23

[Alt-Shift-F24] - Use sequence in bank 24

[Ctrl-Alt-Shift-F1] - Use bank set 1

[Ctrl-Alt-Shift-F2] - Use bank set 2

[Ctrl-Alt-Shift-F3] - Use bank set 3

[Ctrl-Alt-Shift-F4] - Use bank set 4

[Ctrl-Alt-Shift-F5] - Use bank set 5

[Ctrl-Alt-Shift-F6] - Use bank set 6

[Ctrl-Alt-Shift-F7] - Use bank set 7

[Ctrl-Alt-Shift-F8] - Use bank set 8

[Ctrl-Alt-Shift-F9] - Use bank set 9

[Ctrl-Alt-Shift-F10] - Use bank set 10

[Ctrl-Alt-Shift-F11] - Use bank set 11

[Ctrl-Alt-Shift-F12] - Use bank set 12

[Ctrl-Alt-Shift-F13] - Use bank set 13

[Ctrl-Alt-Shift-F14] - Use bank set 14

[Ctrl-Alt-Shift-F15] - Use bank set 15

[Ctrl-Alt-Shift-F16] - Use bank set 16

[Ctrl-Alt-Shift-F17] - Use bank set 17

[Ctrl-Alt-Shift-F18] - Use bank set 18

[Ctrl-Alt-Shift-F19] - Use bank set 19

[Ctrl-Alt-Shift-F20] - Use bank set 20

[Ctrl-Alt-Shift-F21] - Use bank set 21

[Ctrl-Alt-Shift-F22] - Use bank set 22

[Ctrl-Alt-Shift-F23] - Use bank set 23

[Ctrl-Alt-Shift-F24] - Use bank set 24

SEE ALSO
Wiki: https://wiki.biniou.net

Website: https://biniou.net

AUTHOR
Olivier Girondel <olivier@biniou.info>

BUGS
See https://gitlab.com/lebiniou/lebiniou/-/issues